Summary: Development package for building Applications that use numa
Name: numactl
Version: 2.0.8+rc4
Release: r1.0.0
License: GPL-2.0 & LGPL-2.1
Group: apps
Packager: Wind River <info@windriver.com>
URL: unknown
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libnuma.so.1(libnuma_1.1)(64bit)
Requires: /usr/bin/perl
Requires: librt.so.1(GLIBC_2.2.5)(64bit)
Requires: ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
Requires: libc6 >= 2.18+4.8
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: perl
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: ld-linux-x86-64.so.2()(64bit)
Requires: libc.so.6()(64bit)
Requires: libnuma.so.1(libnuma_1.2)(64bit)
Requires: libnuma.so.1()(64bit)
Requires: librt.so.1()(64bit)
Requires: libm.so.6()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libnuma.so.1(libnuma_1.1)(64bit)
Requires(post): /usr/bin/perl
Requires(post): librt.so.1(GLIBC_2.2.5)(64bit)
Requires(post): ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
Requires(post): libc6 >= 2.18+4.8
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): perl
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): ld-linux-x86-64.so.2()(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libnuma.so.1(libnuma_1.2)(64bit)
Requires(post): libnuma.so.1()(64bit)
Requires(post): librt.so.1()(64bit)
Requires(post): libm.so.6()(64bit)
Provides: libnuma.so.1(libnuma_1.2)(64bit)
Provides: libnuma.so.1(libnuma_1.1)(64bit)
Provides: libnuma.so.1()(64bit)

%description
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.

%package -n numactl-tests
Summary: Development package for building Applications that use numa - Regression test files
Group: test
Requires: rtld(GNU_HASH)
Requires: /bin/bash
Requires: numactl >= 2.0.8+rc4
Requires: libc.so.6()(64bit)
Requires: /bin/sh
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libnuma.so.1()(64bit)
Requires: libc6 >= 2.18+4.8
Requires: libnuma.so.1(libnuma_1.2)(64bit)
Requires: libnuma.so.1(libnuma_1.1)(64bit)
Requires: libc.so.6(GLIBC_2.7)(64bit)

%description -n numactl-tests
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.

%package -n numactl-dbg
Summary: Development package for building Applications that use numa - Debugging files
Group: devel
Suggests: libc6-dbg(x86_64)
Recommends: numactl = 2.0.8+rc4-r1.0.0
Provides: numactl-dbg(x86_64) = 2.0.8+rc4-r1.0.0

%description -n numactl-dbg
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n numactl-staticdev
Summary: Development package for building Applications that use numa - Development files (Static Libraries)
Group: devel
Requires: numactl-dev(x86_64) = 2.0.8+rc4-r1.0.0
Provides: numactl-staticdev(x86_64) = 2.0.8+rc4-r1.0.0

%description -n numactl-staticdev
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.  This package contains static libraries for
software development.

%package -n numactl-dev
Summary: Development package for building Applications that use numa - Development files
Group: devel
Requires: numactl = 2.0.8+rc4-r1.0.0
Suggests: perl-dev(x86_64)
Suggests: libc6-dev(x86_64)
Provides: numactl-dev(x86_64) = 2.0.8+rc4-r1.0.0

%description -n numactl-dev
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.  This package contains symbolic links, header
files, and related items necessary for software development.

%package -n numactl-doc
Summary: Development package for building Applications that use numa - Documentation files
Group: doc

%description -n numactl-doc
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.  This package contains documentation.

%package -n numactl-locale
Summary: Development package for building Applications that use numa
Group: apps

%description -n numactl-locale
Simple NUMA policy support. It consists of a numactl program to run other
programs with a specific NUMA policy and a libnuma to do allocations with
NUMA policy in applications.

%post
# numactl - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/bin"
"/usr/lib64/libnuma.so.1"
"/usr/bin/numactl"
"/usr/bin/numastat"
"/usr/bin/memhog"
"/usr/bin/migspeed"
"/usr/bin/migratepages"
"/usr/bin/numademo"

%files -n numactl-tests
%defattr(-,-,-,-)
%dir "/opt"
%dir "/opt/numactl-tests"
"/opt/numactl-tests/regress"
"/opt/numactl-tests/mynode"
"/opt/numactl-tests/randmap"
"/opt/numactl-tests/printcpu"
"/opt/numactl-tests/migrate_pages"
"/opt/numactl-tests/pagesize"
"/opt/numactl-tests/shmtest"
"/opt/numactl-tests/nodemap"
"/opt/numactl-tests/runltp"
"/opt/numactl-tests/ftok"
"/opt/numactl-tests/checkaffinity"
"/opt/numactl-tests/move_pages"
"/opt/numactl-tests/tbitmap"
"/opt/numactl-tests/realloc_test"
"/opt/numactl-tests/distance"
"/opt/numactl-tests/mbind_mig_pages"
"/opt/numactl-tests/checktopology"
"/opt/numactl-tests/tshared"
"/opt/numactl-tests/prefered"
"/opt/numactl-tests/regress2"

%files -n numactl-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/opt"
%dir "/usr/lib64"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libnuma.so.1"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/numactl"
"/usr/bin/.debug/memhog"
"/usr/bin/.debug/migspeed"
"/usr/bin/.debug/migratepages"
"/usr/bin/.debug/numademo"
%dir "/usr/src/debug"
%dir "/usr/src/debug/numactl"
%dir "/usr/src/debug/numactl/2.0.8-rc4-r1.0"
%dir "/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4"
%dir "/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/test"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/numa.h"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/syscall.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/stream_lib.h"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/libnuma.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/distance.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/affinity.h"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/bitops.h"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/stream_lib.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/clearcache.h"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/mt.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/migratepages.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/migspeed.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/rtnetlink.h"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/numaint.h"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/numactl.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/clearcache.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/rtnetlink.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/sysfs.h"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/mt.h"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/affinity.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/sysfs.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/util.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/shm.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/bitops.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/shm.h"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/numademo.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/numaif.h"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/util.h"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/memhog.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/test/nodemap.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/test/distance.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/test/tshared.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/test/realloc_test.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/test/migrate_pages.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/test/randmap.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/test/move_pages.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/test/pagesize.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/test/prefered.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/test/mynode.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/test/tbitmap.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/test/mbind_mig_pages.c"
"/usr/src/debug/numactl/2.0.8-rc4-r1.0/numactl-2.0.8-rc4/test/ftok.c"
%dir "/opt/numactl-tests"
%dir "/opt/numactl-tests/.debug"
"/opt/numactl-tests/.debug/mynode"
"/opt/numactl-tests/.debug/randmap"
"/opt/numactl-tests/.debug/migrate_pages"
"/opt/numactl-tests/.debug/pagesize"
"/opt/numactl-tests/.debug/nodemap"
"/opt/numactl-tests/.debug/ftok"
"/opt/numactl-tests/.debug/move_pages"
"/opt/numactl-tests/.debug/tbitmap"
"/opt/numactl-tests/.debug/realloc_test"
"/opt/numactl-tests/.debug/distance"
"/opt/numactl-tests/.debug/mbind_mig_pages"
"/opt/numactl-tests/.debug/tshared"
"/opt/numactl-tests/.debug/prefered"

%files -n numactl-staticdev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libnuma.a"

%files -n numactl-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/include"
"/usr/lib64/libnuma.so"
"/usr/include/numa.h"
"/usr/include/numacompat1.h"
"/usr/include/numaif.h"

%files -n numactl-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
%dir "/usr/share/man/man3"
"/usr/share/man/man8/migratepages.8"
"/usr/share/man/man8/numactl.8"
"/usr/share/man/man8/numastat.8"
"/usr/share/man/man8/migspeed.8"
"/usr/share/man/man3/numa.3"

